> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Domiciliary Account (BVN)

> Automatically create a domiciliary account using Bank Verification Number (BVN). Only supported in Nigeria.



## OpenAPI

````yaml POST /gateway/create-domiciliary-bank-account-with-bvn
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/create-domiciliary-bank-account-with-bvn:
    post:
      tags:
        - Account Management
      summary: Create Domiciliary Account with BVN
      description: >-
        Automatically create a domiciliary account using Bank Verification
        Number (BVN). Only supported in Nigeria.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - dormAccountRequestDTO
              properties:
                dormAccountRequestDTO:
                  type: array
                  items:
                    type: object
                    required:
                      - bvnCountry
                      - existingAccountBankCode
                      - existingAccountBvn
                      - existingAccountCurrencyCode
                      - newAccountCurrencyCode
                    properties:
                      bvnCountry:
                        type: string
                        enum:
                          - NGA
                        example: NGA
                      existingAccountBankCode:
                        type: integer
                        example: 214
                      existingAccountBvn:
                        type: string
                        example: '02234444221'
                      existingAccountCurrencyCode:
                        type: string
                        example: USD
                      newAccountCurrencyCode:
                        type: string
                        example: USD
      responses:
        '200':
          description: Domiciliary account created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  dormAccountResponseDTO:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAccountNumber:
                          type: string
                        existingBankAccountNumber:
                          type: string
                        createdAccountCurrencyCode:
                          type: string
                        status:
                          type: string
                        msg_note:
                          type: string
                        msg_code:
                          type: string
                        msg_code_id:
                          type: string
                        accountBankCode:
                          type: string
      security:
        - bearerAuth: []
      servers:
        - url: https://api.stag.songhaiexchange.io
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````